Loading...
Searching...
No Matches
CScoreboard::CScoreboardRule Class Reference

Base class for scoreboard rules. More...

`#include <src/level/scoreboard.h>`

Inheritance diagram for CScoreboard::CScoreboardRule:
[legend]

## Public Member Functions

virtual void | Read (CLevelParserLine *line)
| Read from line in scene file.

## Public Attributes

int | score = 0

## Detailed Description

Base class for scoreboard rules.

## Member Function Documentation

## Read()

void CScoreboard::CScoreboardRule::Read | ( | CLevelParserLine * | line | ) |

virtual

Read from line in scene file.

Reimplemented in CScoreboard::CScoreboardEndTakeRule, CScoreboard::CScoreboardKillRule, and CScoreboard::CScoreboardObjectRule.

The documentation for this class was generated from the following files:

- src/level/scoreboard.h
- src/level/scoreboard.cpp